Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519608 - Review Request: gap-pkg-sophus - Computing in nilpotent Lie algebras
Summary: Review Request: gap-pkg-sophus - Computing in nilpotent Lie algebras
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 01:56 UTC by Jerry James
Modified: 2018-01-16 17:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 17:11:18 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2017-12-01 01:56:27 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-sophus/gap-pkg-sophus.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-sophus/gap-pkg-sophus-1.23-1.fc28.src.rpm
Description: The Sophus package is written to compute with nilpotent Lie algebras over finite prime fields.  Using this package, you can compute the cover, the list of immediate descendants, and the automorphism group of such Lie algebras.  You can also test if two such Lie algebras are isomorphic.

The immediate descendant function of the package can be used to classify small-dimensional nilpotent Lie algebras over a given field.  For instance, the package author obtained a classification of nilpotent Lie algebras with dimension at most 9 over F_2; see http://www.sztaki.hu/~schneider/Research/SmallLie.
Fedora Account System Username: jjames

Comment 1 Robert-André Mauchin 2017-12-03 15:26:38 UTC
Package is good and accepted.

Try to push the author again for a license file.

Comment 2 Jerry James 2018-01-02 00:29:46 UTC
Thank you so much for the review, and please excuse my long silence.  December got busy.  I have found a new email address for the author, who appears to have moved to another school.  I have sent another email about the license.

Comment 3 Gwyn Ciesla 2018-01-02 15:31:07 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gap-pkg-sophus. You may commit to the branch "f27" in about 10 minutes.

Comment 4 Fedora Update System 2018-01-03 22:29:54 UTC
gap-pkg-sophus-1.23-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0fe1c1ffed

Comment 5 Fedora Update System 2018-01-16 17:11:18 UTC
gap-pkg-sophus-1.23-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.